import { Types } from "mongoose";

export interface ILeaderboardEntryDatabase {
    leaderboard: string;
    accountId: Types.ObjectId;
    displayName: string;
    score: number;
    expiry: Date;
}

export interface ILeaderboardEntryClient {
    _id: string; // player id
    s: number; // score
    r: number; // rank
    n: string; // displayName
}
